Storage
Update S3 Bucket
Update an S3 bucket's name, endpoint, region, bucket or credentials.
Update an S3 bucket's name, endpoint, region, bucket or credentials.
Authorization
bearerAuth AuthorizationBearer <token>
Access token or API key (unb_...) passed as Authorization: Bearer <token>.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
access_key_id?string
Length
1 <= lengthbucket?string
Length
1 <= lengthendpoint?string
Length
1 <= lengthid*string
Format
uuidname?string
Has to be unique in the team
Length
1 <= length <= 32region?string
secret_key?string
Length
1 <= lengthteam_id*string
Format
uuidResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/storage/s3/update" \ -H "Content-Type: application/json" \ -d '{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "team_id": "810007d0-bec5-486c-b5d1-28fcd8a079ba" }'{ "data": { "access_key": "string", "bucket": "string", "created_at": "2019-08-24T14:15:22Z", "endpoint": "string", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "region": "string", "updated_at": "2019-08-24T14:15:22Z" }}